IT: OTS (China) -0000 #476

v4.0: Logistics - Cartons
06/23/2025 01:47 PM - Xihua Fan

Status: oo0 Start date: 06/23/2025
Priority: aa Due date: 06/30/2025
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 50.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. https://trello.com/c/BX6B5sGb/23-12-%E7%BA%B8%E7%AEY%B1%ES5%8F %82%E6%95%B0-cartons-parameters

Task Details
e 1. CTNOOOODOD
v4 coding standard:

1. Gitll[l
#xxx(redmine number): xxx(redmine title) - xxx(U000000)

2.0000
2.1: U00Public -> Protected -> Private
ﬁnz: 0000000sBx
3. MvcLOvanallil
3.1: v3nv4l000000000000 order.php, order_v3.php
3.2: system0000000000000user v3
- Note: frontll$this->userllv400000$this->customer, Dval0000$this->user
8.3: 000000van40000000new User V3
4. 0000
tDwig, is, css (js, css000000cssO00)

5.0000
EAVCL (LOenlcn)

6. 00
1. 000

/**

* XXX

*

* @copyright RedBlue-0TS 2024
* @version v4

*

*/

2.00000000 + DOODO

*

/

XXX

@param xxx S$xXXX
@param xxx S$xxXx
@return xxx

/
https://trello.com/c/BX6B5sGb/23-12-%E7%BA%B8%E7%AE%B1%E5%8F%82%E6%95%B0-cartons-parameters

Output
® Report and Solution

Others

Related issues:
Copied to 001 #477: v4.0: Logistics - Shipping Cost Calculator 0oo 06/23/2025  07/04/2025

History

#1 - 06/23/2025 01:47 PM - Xihua Fan
- Copied to0 000 #477:v4.0: Logistics - Shipping Cost Calculator added
#2 - 06/27/2025 03:39 PM - Junyi Zhang
Output (2025/06/25- 2025/06/27):
Function:
1. Add [Cartons' Parameters] for setting shipping cartons parameters.
- AA, RM/RS/RL/RG and DM/DO/DL allow to view, and only AA/RM/RL/DM/DL allow to edit.
2. Add 'Logistics' page
- As a temporary shipping home page, and we will re-design this page after 'Packing & Label' module is finished.

Optimiaztions:

1. Replace the current jQuery Ul since we might not need every functions in it. Add new customize Jquery-ui which include draggable and sortable
functions.

Database: 010 #440

#3 - 06/27/2025 04:07 PM - Junyi Zhang
- Status changed from 000 to0010
- % Done changed from 0 to 100
